comedi_set_filter
Prev | 5.4.6. Extensions | Next

## Name

comedi_set_filter — select a filter for a subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_set_filter(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int filter`)`;

## Status

alpha

## Description

This function selects a filter for a subdevice. For instance, a digital input subdevice may provide deglitching filters with varying cutoff frequencies. The filters are used to prevent high-frequency noise from causing unwanted transitions on the digital inputs. This function can tell the hardware which deglitching filter to use, or to use none at all.

The `filter` parameter selects which of the subdevice's filters to use, and is driver-dependant.

This function is only useable on subdevices that provide support for the `INSN_CONFIG_FILTER` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_set_counter_mode | Home | comedi_set_gate_source